System.Design 1.0.5000.0 2.0.0.0 System.ComponentModel.Design.ComponentDesigner System.Windows.Forms.Design.IMessageReceiver

provides a base class for designers of components that derive from . In addition to the methods and functionality inherited from the class, provides additional methods to support extending and altering the behavior of an associated at design time.

You can associate a designer with a type using a . For an overview of customizing design time behavior, see Extending Design-Time Support.

Extends the design mode behavior of a .

- Constructor
  To be added.

  Initializes a new instance of the class.

  1.0.5000.0
  2.0.0.0
- Field
  System.Windows.Forms.AccessibleObject

  The default value is null.

  Specifies the accessibility object for the designer.

  1.0.5000.0
  2.0.0.0
- Property
  System.Windows.Forms.AccessibleObject To be added.

  For more information about accessible objects, see the Active Accessibility section of the MSDN Library.

  Gets the assigned to the control.

  1.0.5000.0
  2.0.0.0
- Property
  System.Collections.ICollection To be added.

  This property indicates any components to copy or move along with the component managed by the designer during a copy, drag, or move operation.

  If this collection contains references to other components in the current design mode document, those components will be copied along with the component managed by the designer during a copy operation.

  When the component managed by the designer is selected, this collection is filled with any nested controls. This collection can also include other components, such as the buttons of a toolbar.

  Gets the collection of components associated with the component managed by the designer.

  1.0.5000.0
  2.0.0.0
- Property
  2.0.0.0
  System.Boolean To be added. To be added.

  Gets or sets a value indicating whether resize handle allocation depends on the value of the property.

- Method
  System.Void `` To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Property
  2.0.0.0
  System.Windows.Forms.Design.Behavior.BehaviorService To be added. To be added.

  Gets the from the design environment.

- Method
  System.Boolean ``

  This method is useful for testing whether a control can be parented by a particular type of parent. For example, controls can only be parented by controls.

  This method is not called when an item is dragged from the Toolbox onto the design surface.

  Indicates if this designer's control can be parented by the control of the specified designer.

  true if the control managed by the specified designer can parent the control managed by this designer; otherwise, false.

  The that manages the control to check. 1.0.5000.0 2.0.0.0
- Property
  System.Windows.Forms.Control To be added. To be added.

  Gets the control that the designer is designing.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added.

  Displays information about the specified exception to the user.

  The to display. 1.0.5000.0 2.0.0.0
- Method
  System.Void ``

  This method is called by the public Dispose() method and the method. Dispose() invokes the protected Dispose(Boolean) method with the parameter set to true. invokes Dispose with set to false.

  When the parameter is true, this method releases all resources held by any managed objects that this references. This method invokes the Dispose() method of each referenced object.

  Releases the unmanaged resources used by the and optionally releases the managed resources.

  true to release both managed and unmanaged resources; false to release only unmanaged resources. 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.Boolean `` ``

  The child control specified by is a child of this control designer's control. The child does not directly participate in persistence, but it will if it is exposed as a property of the main control. Consider a control like the : it has two panels, Panel1 and Panel2. These panels are exposed through read only and properties on the control. The control's designer calls for each panel, which allows other components to be dropped on them. But, in order for the contents of and to be saved, the control itself must expose the panels as public properties.

  Control names must be unique within a control designer, but they are not required to be unique with respect to the children of other control designers.

  To support this feature, the hosting infrastructure must expose the class as a service through the site.

  Enables design time functionality for a child control.

  true if the child control could be enabled for design time; false if the hosting infrastructure does not support it.

  The child control for which design mode will be enabled. The name of as exposed to the end user.
- Method
  System.Void ``

  The default value of false specifies that a control cannot have children dragged onto it at design time. To allow a control to parent other controls at design time, associate it with a designer that derives from .

  Enables or disables drag-and-drop support for the control being designed.

  true to enable drag-and-drop support for the control; false if the control should not have drag-and-drop support. The default is false. 1.0.5000.0 2.0.0.0
- Property
  System.Boolean To be added. To be added.

  Gets a value indicating whether drag rectangles can be drawn on this designer component.

  1.0.5000.0
  2.0.0.0
- Method
  2.0.0.0
  System.Windows.Forms.Design.Behavior.ControlBodyGlyph `` To be added.

  Returns a representing the bounds of this control.

  A representing the bounds of this control.

  A value that specifies the selection state.
- Method
  2.0.0.0
  System.Windows.Forms.Design.Behavior.GlyphCollection ``

  Note that based on , the objects returned will represent one of these selection states:

  A fully resizable selection border with grab handles;

  A locked selection border;

  A single 'hidden' selection .

  Gets a collection of objects representing the selection borders and grab handles for a standard control.

  A collection of objects.

  A value that specifies the selection state.
- Method
  System.Boolean ``

  The method determines whether a click at the specified point should be passed to the control, while the control is in design mode. You can override and implement this method to enable your control to receive clicks in the design-time environment.

  You can pass a point in screen coordinates to the method of the class to obtain the coordinates of the point relative to the upper-left corner of the control.

  The method is called in response to the WM_NCHITTEST message, so it is called on each mouse move.

  Indicates whether a mouse click at the specified point should be handled by the control.

  true if a click at the specified point is to be handled by the control; otherwise, false.

  A indicating the position at which the mouse was clicked, in screen coordinates. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added. To be added.

  Routes messages from the child controls of the specified control to the designer.

  1.0.5000.0
  2.0.0.0
- Property
  1.0.5000.0
  2.0.0.0
  System.ComponentModel.InheritanceAttribute To be added. To be added.

  Gets the of the designer.

- Method
  System.Void ``

  This method is called by the designer host to initialize the designer.

  Initializes the designer with the specified component.

  The to associate the designer with. This component must always be an instance of, or derive from, . 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.Void ``

  The class overrides this method to handle after-drop cases.

  Re-initializes an existing component.

  A name/value dictionary of default values to apply to properties. May be null if no default values are specified.
- Method
  2.0.0.0
  System.Void ``

  The class overrides this method. It will look at the default property for the control and, if it is of type string, it will set this property's value to the name of the component. It only does this if the designer has been configured with this option in the options service. This method also connects the control to its parent and positions it. If you override this method, you should always call base.

  Initializes a newly created component.

  A name/value dictionary of default values to apply to properties. May be null if no default values are specified.
- Method
  2.0.0.0
  System.Windows.Forms.Design.ControlDesigner ``

  An internal control is a control that is not in the collection of the . is an example of one such control.

  Returns the internal control designer with the specified index in the .

  A at the specified index.

  A specified index to select the internal control designer. This index is zero-based.
- Field
  System.Drawing.Point

  has an and property set to the minimum value for the integer data type.

  Defines a local that represents the values of an invalid .

  1.0.5000.0
  2.0.0.0
- Method
  2.0.0.0
  System.Int32

  An internal control is a control that is not in the collection of the . is an example of one such control.

  Returns the number of internal control designers in the .

  The number of internal control designers in the .

- Method
  System.Void `` `` To be added.

  Shows the context menu and provides an opportunity to perform additional processing when the context menu is about to be displayed.

  The x coordinate at which to display the context menu. The y coordinate at which to display the context menu. 1.0.5000.0 2.0.0.0
- Method
  System.Void To be added.

  Provides an opportunity to perform additional processing immediately after the control handle has been created.

  1.0.5000.0
  2.0.0.0
- Method
  2.0.0.0
  System.Void `` To be added.

  Receives a call to clean up a drag-and-drop operation.

  A that provides data for the event.
- Method
  System.Void `` To be added. To be added.

  Receives a call when a drag-and-drop object is dropped onto the control designer view.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` To be added. To be added.

  Receives a call when a drag-and-drop operation enters the control designer view.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` To be added.

  Receives a call when a drag-and-drop operation leaves the control designer view.

  An that provides data for the event. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added. To be added.

  Receives a call when a drag-and-drop object is dragged over the control designer view.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void ``

  The designer host calls this method when an OLE drag event occurs.

  Receives a call when a drag-and-drop operation is in progress to provide visual cues based on the location of the mouse while a drag operation is in progress.

  A that provides data for the event. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` ``

  This method is called at the start of a drag-and-drop operation.

  You can pass a point in screen coordinates to the method of the class to obtain the coordinates of the point relative to the upper-left corner of the control.

  Receives a call in response to the left mouse button being pressed and held while over the component.

  The x position of the mouse in screen coordinates. The y position of the mouse in screen coordinates. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added.

  Receives a call at the end of a drag-and-drop operation to complete or cancel the operation.

  true to cancel the drag; false to commit it. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` ``

  You can pass a point in screen coordinates to the method of the class to obtain the coordinates of the point relative to the upper-left corner of the control.

  Receives a call for each movement of the mouse during a drag-and-drop operation.

  The x position of the mouse in screen coordinates. The y position of the mouse in screen coordinates. 1.0.5000.0 2.0.0.0
- Method
  System.Void To be added.

  Receives a call when the mouse first enters the control.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void To be added.

  Receives a call after the mouse hovers over the control.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void To be added.

  Receives a call when the mouse first enters the control.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` To be added.

  Receives a call when the control that the designer is managing has painted its surface so the designer can paint any additional adornments on top of the control.

  A the designer can use to draw on the control. 1.0.5000.0 2.0.0.0
- Method
  System.Void To be added.

  Called when the designer is intialized.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void

  This method handles redirection and handling of the set cursor event. If the toolbox service has a tool selected, this method will allow the toolbox service to set the cursor. If the selection UI service has a locked selection, or if there is no location property on the control, the default arrow cursor will be set. If a user is dragging a component, the crosshair cursor will be set. Otherwise, a four headed arrow cursor will be set to indicate that the component can be clicked and moved.

  Receives a call each time the cursor needs to be set.

  1.0.5000.0
  2.0.0.0
- Property
  2.0.0.0
  System.ComponentModel.IComponent To be added.

  The default implementation simply checks to see if the component being designed is a control and if it is, returns its parent.

  Gets the parent component for the .

- Property
  2.0.0.0
  System.Boolean To be added. To be added.

  Gets a value indicating whether the will allow snapline alignment during a drag operation.

- Method
  System.Void ``

  This interface method override adds a set of properties to this designer's component at design time. This method adds the following browsable properties: Visible, Enabled, ContextMenu, AllowDrop, Location, Name, Controls, and Locked.

  Adjusts the set of properties the component exposes through a .

  An containing the properties for the class of the component. 1.0.5000.0 2.0.0.0
- Property
  System.Windows.Forms.Design.SelectionRules To be added.

  If no designer provides rules for a component, the component will not get any UI services.

  Gets the selection rules that indicate the movement capabilities of a component.

  1.0.5000.0
  2.0.0.0
- Property
  2.0.0.0
  System.Collections.IList To be added.

  You can use the offered objects to assist in positioning the control on a design surface.

  Gets a list of objects representing significant alignment points for this control.

- Method
  1.0.5000.0
  2.0.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  System.Void `` To be added. To be added.

  Routes messages for the children of the specified control to each control rather than to a parent designer.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` To be added. To be added. To be added. 1.0.5000.0 2.0.0.0